models/mapobjects/GR_trees/tree6
{
	cull none
	nopicmip

	{
		map models/mapobjects/GR_trees/tree6.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}
textures/ut_fahuaran/mcdockswater
{
	qer_editorimage textures/ut_fahuaran/mcdockswater.tga
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	cull disable
	
	{	
		map textures/ut_fahuaran/mcdockswater.tga
		tcMod turb 0.2 0.2 0.2 .2 
	}

	{
		map textures/ut_fahuaran/mcdockswater.tga
		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod turb 0 0.2 2 .2
	}	

	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/ptt_txantrea2_sky
{
	qer_editorimage textures/ut_fahuaran/ptt_txantrea2_sky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 512
	q3map_surfacelight 200
	skyparms env/paisaje 256 -

}

textures/ut_fahuaran/docks-glasscaulk
{
	qer_editorimage textures/ut_fahuaran/docks-glasscaulk.tga
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm playerclip
	surfaceparm weaponclip
	surfaceparm trans
}

textures/ut_fahuaran/lightflare
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_fahuaran2/lightflare.jpg
            blendFunc GL_ONE GL_ONE
          }
}

textures/ut_fahuaran/plant01
//A large bushy grass
{
    cull disable
    surfaceparm alphashadow
    deformVertexes autoSprite
    surfaceparm trans	
        {
        map textures/ut_fahuaran/plant01.tga
        alphaFunc GE128
	depthWrite
	rgbGen vertex
        }
        {
	map $lightmap
	rgbGen identity
	blendFunc filter
	depthFunc equal
	}

}

textures/ut_fahuaran/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_fahuaran/arbol1
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/arbol1.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/botellas
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/botellas.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/cables
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/cables.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/estanteria1
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/estanteria1.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/grua
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/grua.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/planta
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/planta.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/ropa
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/ropa.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/ropa2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/ropa2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/ropa3
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/ropa3.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/seto
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/seto.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/super
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/super.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/super2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/super2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/super3
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/super3.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/vayaobras
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/vayaobras.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/vallaazul2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/vallaazul2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja1
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja1.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja3
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja3.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja6
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja6.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja6_balcon2
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja6_balcon2.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja7
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja7.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja8
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja8.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/verja9
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/verja9.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/flame
{

	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 500
	qer_editorimage textures/ut_fahuaran/flame1.tga
	

	{
		animMap 10 textures/ut_fahuaran/flame1.tga textures/ut_fahuaran/flame2.tga textures/ut_fahuaran/flame3.tga textures/ut_fahuaran/flame4.tga textures/ut_fahuaran/flame5.tga textures/ut_fahuaran/flame6.tga textures/ut_fahuaran/flame7.tga textures/ut_fahuaran/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/ut_fahuaran/flame2.tga textures/ut_fahuaran/flame3.tga textures/ut_fahuaran/flame4.tga textures/ut_fahuaran/flame5.tga textures/ut_fahuaran/flame6.tga textures/ut_fahuaran/flame7.tga textures/ut_fahuaran/flame8.tga textures/ut_fahuaran/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	

}
textures/ut_fahuaran/guitarra
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/guitarra.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/planta
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/planta.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/espumaderas
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/espumaderas.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/revistas
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/revistas.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/manchacontenedor
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/manchacontenedor.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/logok_nut
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/logok_nut.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/juanamari
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/juanamari.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}
textures/ut_fahuaran/goraut_fahuaran
{
   surfaceparm trans
   cull none
   nopicmip

   {
      map textures/ut_fahuaran/goraut_fahuaran.tga
      tcMod scale 1 1
      blendFunc GL_ONE GL_ZERO
      alphaFunc GE128
      depthWrite
      rgbGen identity
   }
   {
      map $lightmap
      rgbGen identity
      blendFunc GL_DST_COLOR GL_ZERO
      depthFunc equal
}
}

textures/ut_fahuaran/edificioenano2lado1
{
	{	
		map textures/ut_fahuaran/edificioenano2lado1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificioenano2lado1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut_fahuaran/edificioenano2lado2
{
	{	
		map textures/ut_fahuaran/edificioenano2lado2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificioenano2lado2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/edificio2frente
{
	{	
		map textures/ut_fahuaran/edificio2frente.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificio2frente.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/armariolibros
{
	{	
		map textures/ut_fahuaran/armariolibros.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/armariolibros.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/cabina
{
	{	
		map textures/ut_fahuaran/cabina.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/cabina.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/cabina2
{
	{	
		map textures/ut_fahuaran/cabina2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/cabina2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/edificio2lado2
{
	{	
		map textures/ut_fahuaran/edificio2lado2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificio2lado2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/edificioenano2
{
	{	
		map textures/ut_fahuaran/edificioenano2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificioenano2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/edificioenanolado1
{
	{	
		map textures/ut_fahuaran/edificioenanolado1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificioenanolado1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/edificioenanolado2
{
	{	
		map textures/ut_fahuaran/edificioenanolado2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/edificioenanolado2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/paredconportales
{
	{	
		map textures/ut_fahuaran/paredconportales.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/paredconportales.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/paredconportales2
{
	{	
		map textures/ut_fahuaran/paredconportales2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/paredconportales2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/portal12a
{
	{	
		map textures/ut_fahuaran/portal12a.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal12a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/portal12b
{
	{	
		map textures/ut_fahuaran/portal12b.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal12b.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/portal15a
{
	{	
		map textures/ut_fahuaran/portal15a.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal15a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/portal15b
{
	{	
		map textures/ut_fahuaran/portal15b.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal15b.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/ut_fahuaran/portal2
{
	{	
		map textures/ut_fahuaran/portal2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/portal21a
{
	{	
		map textures/ut_fahuaran/portal21a.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal21a.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/portal21b
{
	{	
		map textures/ut_fahuaran/portal21b.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal21b.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/portal22
{
	{	
		map textures/ut_fahuaran/portal22.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/portal22.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/ventana_guarderia2
{
	{	
		map textures/ut_fahuaran/ventana_guarderia2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/ventana_guarderia2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/ventana1
{
	{	
		map textures/ut_fahuaran/ventana1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/ventana1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/ventana21
{
	{	
		map textures/ut_fahuaran/ventana21.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/ventana21.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/ventana3
{
	{	
		map textures/ut_fahuaran/ventana3.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/ventana3.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/villavesa1
{
	{	
		map textures/ut_fahuaran/villavesa1.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/villavesa1.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/villavesa2
{
	{	
		map textures/ut_fahuaran/villavesa2.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/villavesa2.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/villavesa3
{
	{	
		map textures/ut_fahuaran/villavesa3.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/villavesa3.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/villavesa4
{
	{	
		map textures/ut_fahuaran/villavesa4.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/villavesa4.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/villavesa5
{
	{	
		map textures/ut_fahuaran/villavesa5.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
	}

	{
		map textures/ut_fahuaran/villavesa5.tga
   		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}
textures/ut_fahuaran/watercaulk
{
qer_trans 0.40
qer_editorimage textures/invis/watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm water
}
textures/ut_fahuaran/nsh_sky_1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	qer_editorimage textures/nsh/ik_sky_dawn_back.tga
	q3map_lightimage textures/nsh/ik_sky_dawn_front.tga
	q3map_surfacelight 300
	q3map_sun 1 1 0.5 0 0 0
	skyparms - 512 -
	{
		map textures/nsh/ik_sky_dawn_back.tga
		tcMod scale 2 2
		depthWrite
	}
	{
		map textures/nsh/ik_sky_dawn_front.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
	}
}

textures/ut_fahuaran3/light1
{
	qer_editorimage textures/ut_fahuaran3/light1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut_fahuaran3/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut_fahuaran3/light1.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut_fahuaran3/rain
{
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
        qer_trans .5
        deformVertexes move 3 1 0  sin 0 5 0 0.2
        deformVertexes move .6 3.3 0  sin 0 5 0 0.4
        deformVertexes wave 30 sin 0 10 0 .2
	cull none
        //nopicmip
       
	{
		map textures/ut_fahuaran3/rain.tga
                tcMod Scroll .5 -8
                tcMod turb .1 .25 0 -.1
                blendFunc GL_ONE GL_ONE
        }
        {
		map textures/sfx/rain.tga
                tcMod Scroll .01 -6.3
               
                blendFunc GL_ONE GL_ONE
        }
       
     
}

textures/ut_fahuaran2/water1
	{
		qer_editorimage textures/liquids/pool3d_3e.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
	
		cull disable
		deformVertexes wave 64 sin .25 .25 0 .5	
		{ 
			map textures/liquids/pool3d_5e.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod scroll .025 .01
		}
	
		{ 
			map textures/liquids/pool3d_3e.tga
			blendFunc GL_dst_color GL_one
			tcmod scale -.5 -.5
			tcmod scroll .025 .025
		}

	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

	}

textures/ut_fahuaran2/fog
{
	qer_editorimage textures/sfx/hellfog.tga
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	surfaceparm nodrop
	q3map_surfacelight 100
	fogparms ( 1 1 1 ) 700
}

textures/ut_fahuaran/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	{
		map textures/ut_fahuaran/black.tga
	}
}


textures/ut_fahuaran/corona
{
    deformVertexes autoSprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_fahuaran/corona.tga
            blendFunc GL_ONE GL_ONE
          }
}


textures/ut_fahuaran/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}


textures/ut_fahuaran/nitesky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/ut_fahuaran/nitesky.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}

textures/ut_fahuaran2/glass
{
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/ut_fahuaran/daysky_1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 1 1 1 90 45 80
	q3map_surfacelight 100
	q3map_globaltexture
	q3map_lightimage textures/ut_fahuaran/daysky1_blend.tga
	skyparms full 512 -
	{
		map textures/ut_fahuaran/daysky_1.tga
		depthWrite
	}
}

textures/ut_fahuaran/daysky_2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .1 .1 0 0 0 0
	q3map_surfacelight 300
	skyparms - 512 -
	{
		map textures/ut_fahuaran/daysky_2.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}


textures/ut_fahuaran/daysky_3
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .1 .1 0 0 0 0
	q3map_surfacelight 300
	skyparms - 512 -
	{
		map textures/ut_fahuaran/daysky_3.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}


textures/ut_fahuaran/daysky_4
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun 0 0 0 0 0 0
        q3map_surfacelight 150
        q3map_globaltexture
        q3map_lightsubdivide 512
        skyparms env/nrg 256 -
}


textures/ut_fahuaran/darker
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun .9 .9 1 70 65 78
	q3map_surfacelight 60
	skyparms - 512 -
	{
		map textures/ut_fahuaran/darker.jpg
		tcMod scroll 0.01 0
		tcMod scale 1 1
		depthWrite
	}
}

textures/ut_fahuaran2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ut_fahuaran2/fence.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_fahuaran2/metal
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/ut_fahuaran2/metal.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}
textures/ut_fahuaran/yellow_light_100
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	
	q3map_surfacelight 100
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}


textures/ut_fahuaran/yellow_light_200
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 200
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_350
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 350
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}


textures/ut_fahuaran/yellow_light_500
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 500
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_750
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 750
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_1k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 1000
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_2k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 2000
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_3k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 3500
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}

textures/ut_fahuaran/yellow_light_5k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 5000
	q3map_lightimage textures/ut_fahuaran/yellowblend.tga
}




//	Red lights
//	==========

textures/ut_fahuaran/red_light_100
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 100
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}


textures/ut_fahuaran/red_light_200
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 200
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_350
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 350
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}


textures/ut_fahuaran/red_light_500
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	q3map_surfacelight 500
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_750
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 750
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_1k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1
	q3map_surfacelight 1000
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_2k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 2000
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_3k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 3500
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}

textures/ut_fahuaran/red_light_5k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 5000
	q3map_lightimage textures/ut_fahuaran/redblend.tga
}



//	Blue lights
//	===========

textures/ut_fahuaran/blue_light_100
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 100
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}


textures/ut_fahuaran/blue_light_200
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 200
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}

textures/ut_fahuaran/blue_light_350
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 350
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}


textures/ut_fahuaran/blue_light_500
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 500
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}


textures/ut_fahuaran/blue_light_750
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 750
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}

textures/ut_fahuaran/blue_light_1k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 1000
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}

textures/ut_fahuaran/blue_light_2k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 2000
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}

textures/ut_fahuaran/blue_light_3k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 3500
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}

textures/ut_fahuaran/blue_light_5k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 5000
	q3map_lightimage textures/ut_fahuaran/blueblend.tga
}



//	Green lights
//	============

textures/ut_fahuaran/green_light_100
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 100
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_200
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 200
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_350
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 350
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_500
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 500
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_750
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 750
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_1k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 1000
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_2k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 2000
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_3k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 3500
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/green_light_5k
{
	qer_editorimage textures/ut_fahuaran/light.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap

	skyparms - - -
	light 1

	q3map_surfacelight 5000
	q3map_lightimage textures/ut_fahuaran/greenblend.tga
}

textures/ut_fahuaran/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/ut_fahuaran/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ut_fahuaran/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/ut_fahuaran/clusterportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm clusterportal
}

textures/ut_fahuaran/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/ut_fahuaran/donotenter
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm donotenter
}


// never used
//
//textures/ut_fahuaran/energypad
//{
//	qer_editorimage textures/sfx/bluegoal.tga
//	surfaceparm nolightmap
//	cull twosided
//	{
//		map textures//bluegoal.tga
//		blendFunc GL_ONE GL_SRC_ALPHA
//		tcGen environment
//		tcMod turb 0 0.25 0 0.05
//	}
//}

textures/ut_fahuaran/full_clip // silly shader, use weapclip instead
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/ut_fahuaran/hint // should NOT use surfaceparm hint.. strange but true
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint	// ydnar: yes it should.
}

textures/ut_fahuaran/invisible // solid, transparent polygons, casts shadows
{
	surfaceparm nolightmap			
        {
                map textures/ut_fahuaran/invisible.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
}

textures/ut_fahuaran/mirror1
{
	qer_editorimage textures/ut_fahuaran/mirror1.tga
	surfaceparm nolightmap
	portal
  
	{
		map textures/ut_fahuaran/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
       
        

}

textures/ut_fahuaran/mirror2
{
	qer_editorimage textures/ut_fahuaran/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ut_fahuaran/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/sfx/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/ut_fahuaran/missileclip
{
	qer_trans 0.40
	surfaceparm nodamage
	surfaceparm nomarks
	surfaceparm nodraw
	//surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm trans
}

textures/ut_fahuaran/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ut_fahuaran/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nolightmap
	surfaceparm nodraw
}

textures/ut_fahuaran/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}


textures/ut_fahuaran/noimpact
{
	qer_editorimage textures/ut_fahuaran/nolightmap.tga
	surfaceparm noimpact
}

textures/ut_fahuaran/nolightmap
{
	surfaceparm nolightmap
}

textures/ut_fahuaran/origin
{
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/ut_fahuaran/portal
{
	qer_editorimage textures/ut_fahuaran/qer_portal.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ut_fahuaran/mirror1.tga
		tcMod turb 0 0.25 0 0.05
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite

	}
}

textures/ut_fahuaran/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/ut_fahuaran/terrain
{
	q3map_terrain
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/ut_fahuaran/terrain2
{
	q3map_terrain
	qer_editorimage textures/ut_fahuaran/terrain.tga
	surfaceparm dust
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/ut_fahuaran/timportal
{
	qer_editorimage textures/ut_fahuaran/qer_portal.tga
	portal
	surfaceparm nolightmap
	{
		map textures/ut_fahuaran/portal.tga
		tcMod turb 0 0.25 0 0.05
		blendFunc GL_ONE GL_SRC_ALPHA
		depthWrite
	}
}

textures/ut_fahuaran/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/ut_fahuaran/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/ut_fahuaran/metalclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
	surfaceparm metalsteps
}

textures/ut_fahuaran/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

//
// ydnar q3map lightgrid bounds
//
// the min/max bounds of brushes with this shader in a map
// will define the bounds of the map's lightgrid (model lighting)
// note: make it as small as possible around player space
// to minimize bsp size and compile time
//

textures/ut_fahuaran/lightgrid
{
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm detail
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm lightgrid
}